using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class SpawnManager : MonoBehaviour
{
	public Prefab block;
    public Prefab blockObstanced;
    public Prefab blockTiled;
    public Prefab blockTiled2;

    private Movements player;
	private Vector3 lastSpawned = new Vector3(-1.8f, -0.79f, 7f);
	private System.Random rnd = new System.Random();

	void Start()
	{
		player = FindObjectOfType<Movements>();
	}
	
	void Update()
	{
		if (player.transform.position.x - lastSpawned.x < 16)
		{
			GameObject b = null;
            switch (rnd.Next(1, 7))
            {
                case 1:
                    {
						b = block.Instantiate(lastSpawned + new Vector3(-11f, 0f, 0f));
                        break;
                    }
                case 2:
                    {
                        b = block.Instantiate(lastSpawned + new Vector3(-11f, ((float)rnd.NextDouble() - 0.5f) * 2, 0f));
                        break;
                    }
				case 3:
					{
						b = blockTiled.Instantiate(lastSpawned + new Vector3(-11f, -3f, 0f));
						break;
					}
                case 4:
                    {
                        b = blockTiled2.Instantiate(lastSpawned + new Vector3(-11f, 3f, 0f));
                        break;
                    }
                case 5:
                    {
                        b = blockObstanced.Instantiate(lastSpawned + new Vector3(-11f, 0f, 0f));
                        break;
                    }
                case 6:
                    {
                        b = blockObstanced.Instantiate(lastSpawned + new Vector3(-11f, ((float)rnd.NextDouble() - 0.5f) * 2, 0f));
                        break;
                    }
            }
            lastSpawned = new Vector3(b.transform.position.x, b.transform.position.y, 7f);
        }
	}
}
