using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class Movements : MonoBehaviour
{

    private GameStatus gameManager;
    private float oldX = 0f;

    void Start()
    {
        gameManager = FindObjectOfType<GameStatus>();
    }

    void KeysManager()
    {
        if (Input.GetKeyDown(ScanCode.W))
        {
            RaycastHit shootHit = Physics.Raycast(gameObject.transform.position + Vector3.down * 0.25f, gameObject.transform.position + Vector3.down * 0.8f);

            if (shootHit.hasHit & shootHit.rigidbody.gameObject.name != "Player")
            {
                rigidbody.linearVelocity += Vector3.up * 6f;
            }
        }

        if (Input.GetKey(ScanCode.A))
        {
            rigidbody.angularVelocity = new Vector3(0f, 0f, -2f);
        }

        if (Input.GetKey(ScanCode.D))
        {
            rigidbody.angularVelocity = new Vector3(0f, 0f, 2f);
        }
    }

    void CastFail()
    {
        RaycastHit failHit = Physics.Raycast(gameObject.transform.position + Vector3.up * 0f, gameObject.transform.position + Vector3.up * 0.4f);
        
        if (failHit.hasHit | rigidbody.linearVelocity.y < -25f)
        {
            gameManager.gameStatus = "Failed";
        }
    }
	
	void Update()
	{
        if (gameManager.gameStatus == "Playing")
        {
            transform.position += new Vector3(-gameManager.score/20000.0f - 5f * Time.deltaTime, 0f, 0f);

            if (transform.position.x - oldX > (-gameManager.score / 20000.0f - 5f * Time.deltaTime / 100))
            {
                gameManager.gameStatus = "Failed";
            }
            //Debug.Log(transform.position.x - oldX + " - X " + (-gameManager.score / 20000.0f - 5f * Time.deltaTime / 2));
            oldX = transform.position.x;

            rigidbody.linearVelocity = new Vector3(0f, rigidbody.linearVelocity.y, rigidbody.linearVelocity.z);

            KeysManager();
            CastFail();
        }
    }
}
